# Changelog

All notable changes to this project will be documented in this file.

## [0.49] - 2020-08-13
- performance improvement /data/interfaces
- refactored a new method for testability

## [0.48] - 2020-07-02
- recover update gracefully in case of Kombu exceptions
- update for IMS api changes
- call otrs-exports in the web server thread, not as a celery task

## [0.47] - 2020-06-06
- bugfix when catching junos rpc exceptions

## [0.46] - 2020-06-05
- mitigation for redis network latency

## [0.45] - 2020-06-05
- DBOARD3-242: use cached netconf/snmp data when router is unavailable
- use celery events rather than status for logging errors & warnings
- added a monitoring process and api for exposing event messages

## [0.44] - 2020-06-03
- DBOARD3-284: accomodate IMS API updates
- DBOARD3-271: added customer-user weeding

## [0.43] - 2020-05-12
- added poller api response caching

## [0.42] - 2020-05-11
- DBOARD3-277: stop using Junos Space
- DBOARD3-244: add visible status details for update inventory processing
- DBOARD3-271: OTRS exports
- initial backend support for IMS

## [0.41] - 2020-04-17
- DBOARD3-199: allow extra configuration info for unmanaged interfaces

## [0.40] - 2020-03-12
- DBOARD3-270: preliminary msr support
- DBOARD3-272: support srx* office routers

## [0.39] - 2020-01-31
- LGR-73: expose routers with pop info so LG doesn't need to connect to opsdb

## [0.38] - 2020-01-17
- DBOARD3-234/DBOARD3-232: standardized location data in classifier responses

## [0.37] - 2020-01-03
- DBOARD3-220: make redis/sentinel socket timeouts configurable

## [0.36] - 2019-12-31
- DBOARD3-218: added project name to circuit info

## [0.35] - 2019-12-13
- POL1-135: added customer(user) info to service category api response

## [0.34] - 2019-12-11
- POL1-135: initial support for service category api
- DBOARD3-203: omit 'inactive' interfaces

## [0.33] - 2019-12-03
- Added Related Services for Infinera info

## [0.32] - 2019-11-20
- Ensured all Related Services are returned for juniper links

## [0.31] - 2019-11-07
- Added top-level-services to the related services
- Fix canonicalization error of v6 addresses

## [0.30] - 2019-10-30
- DBOARD3-173 No service name for critical alarm

## [0.29] - 2019-10-17
- DBOARD3-170 (don't return 404 for unrecognized peer addresses)
- removed filter on qfx* routers

## [0.28] - 2019-10-15
- added latch to version response

## [0.27] - 2019-10-14
- added some status flags to the latch structure

## [0.26] - 2019-10-12
- NOT SUITABLE FOR PRODUCTION!
- filter qfx* routers until space is synced with opsdb

## [0.25] - 2019-10-03
- propagate errors when waiting for tasks to complete

## [0.24] - 2019-10-03
- optimization, don't do aggressive pre-delete checking rebuilding

## [0.23] - 2019-10-03
- use redis pipelines where possible

## [0.22] - 2019-10-02
- return a skeleton response for unknown interfaces (DBOARD3-169)

## [0.21] - 2019-08-23
- added parsing of 'logical-systems' (DBOARD3-150)

## [0.20] - 2019-08-13
- included both v4 & v6 addresses in peering info

## [0.19] - 2019-07-19
- added flush & latch to /jobs/update
- improved address-to-interface lookup performance
- added top-level services to responses

## [0.18] - 2019-07-15
- current/next database latching

## [0.17] - 2019-07-01
- add all interfaces to poller/interfaces response
- always use config file for celery startup

## [0.16] - 2019-06-21
- flatten redis storage structure
- poller api
- classifier metadata api
- read snmp community string from netconf
- derive active router list from junosspace
- read most live info from netconf
- precompute cached list of ix public & vpn rr peers
- use external logging config file

## [0.15] - 2019-01-24
- added some routes for initial classifier support
- added basic replacement for findAffectedCircuits

## [0.14] - 2019-01-09
- added sample route for startup-only tasks
- added method for caching selected alarmsdb tables
- added caching of last known interface status from alarmsdb

## [0.13] - 2019-01-08
- added external inventory caching

## [0.12] - 2019-01-04
- added addresses to interface response
- put actual module number in version response

## [0.10/0.11]
- cache storage formatting bugfix
- logging levels configured from environment

## [0.9] - 2018-12-25
- use pyez/netconf for gathering juniper data

## [0.7/0.8] - 2018-12-15
- added static/* to release

## [0.6] - 2018-12-13
- added a static demo of juniper stuff
- added some route docs to README

## [0.5] - 2018-12-11
- added meaningful alarmsdb demo method
- added snmp index to interface data to support sensu, prometheus
- increased unit test coverage to 78%

## [0.4] - 2018-11-28
- added some further sample resources

## [0.3] - 2018-11-22
- basic opsdb, alarmsdb coms & test api

## [0.2] - 2018-11-16
- use celery for task management

## [0.1] - 2018-11-14
- initial skeleton
